Bug 972454 - [Tracking bug] Make usage tracking to DB on by default
Summary: [Tracking bug] Make usage tracking to DB on by default
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Pod (Show other bugs)
(Show other bugs)
Version: 1.2.0
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Luke Meyer
QA Contact: libra bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-09 14:45 UTC by Luke Meyer
Modified: 2017-03-08 17:35 UTC (History)
3 users (show)

Fixed In Version: openshift-origin-broker-1.5.2-1.git.1839.e67a7d1.el6op
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 15:45:25 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Luke Meyer 2013-06-09 14:45:49 UTC
Description of problem:

Incorporate this upstream origin-server commit:
commit 4f197c015410cbdef1a8869408a04ef8ef09a0f2
Author: Luke Meyer <lmeyer@redhat.com>
Date:   Fri Jun 7 16:25:15 2013 -0400

    <broker.conf> default to usage db tracking on
    
    As there is little overhead to tracking usage in DB, and it's a
    bit of a pain to initialize tracking after an installation is in
    use, it seemed easiest to default to tracking for now.

Comment 3 Gaoyun Pei 2013-06-14 08:27:31 UTC
Verify this bug on puddle:
http://buildvm-devops.usersys.redhat.com/puddle/build/OpenShiftEnterprise/1.2/2013-06-13.1/

After the installation of broker, check the broker.conf

[root@broker ~]# cat /etc/openshift/broker.conf |grep ENABLE_USAGE_TRACKING_DATASTORE=
ENABLE_USAGE_TRACKING_DATASTORE="true"

Comment 4 Luke Meyer 2013-06-28 15:45:25 UTC
Closing all bugs introduced, fixed, and verified during 1.2 release work (thus never shipped).


Note You need to log in before you can comment on or make changes to this bug.